## org.eclipse.emf.codegen.ecore.genmodel.impl
Class GenModelFactoryImpl

    java.lang.Object
      org.eclipse.emf.common.notify.impl.BasicNotifierImpl
          org.eclipse.emf.ecore.impl.BasicEObjectImpl
              org.eclipse.emf.ecore.impl.MinimalEObjectImpl
                  org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container
                      org.eclipse.emf.ecore.impl.EModelElementImpl
                          org.eclipse.emf.ecore.impl.EFactoryImpl
                              org.eclipse.emf.codegen.ecore.genmodel.impl.GenModelFactoryImpl

All Implemented Interfaces:
  GenModelFactory, Notifier, EFactory, EModelElement, EObject, EStructuralFeature.Internal.DynamicValueHolder, InternalEObject

    public class GenModelFactoryImpl

extends EFactoryImpl
implements GenModelFactory

An implementation of the model Factory.

Nested Class Summary

Nested classes/interfaces inherited from class org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container
`MinimalEObjectImpl.Container.Dynamic`

Nested classes/interfaces inherited from class org.eclipse.emf.ecore.impl.MinimalEObjectImpl
`MinimalEObjectImpl.Container`

Nested classes/interfaces inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl
`BasicEObjectImpl.EPropertiesHolder, BasicEObjectImpl.EPropertiesHolderBaseImpl, BasicEObjectImpl.EPropertiesHolderImpl`

Nested classes/interfaces inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl
`BasicNotifierImpl.EAdapterList<E extends java.lang.Object & Adapter>`

Nested classes/interfaces inherited from interface org.eclipse.emf.ecore.InternalEObject
`InternalEObject.EStore`

Field Summary

Fields inherited from class org.eclipse.emf.ecore.impl.EFactoryImpl
`EDATE_FORMATS, ePackage`

Fields inherited from class org.eclipse.emf.ecore.impl.EModelElementImpl
`eAnnotations, eFlags, EFROZEN, ELAST_EMODEL_ELEMENT_FLAG`

Fields inherited from class org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container
`eContainer`

Fields inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl
`EVIRTUAL_GET, EVIRTUAL_IS_SET, EVIRTUAL_NO_VALUE, EVIRTUAL_SET, EVIRTUAL_UNSET`

Fields inherited from interface org.eclipse.emf.codegen.ecore.genmodel.GenModelFactory
`eINSTANCE`

Fields inherited from interface org.eclipse.emf.ecore.EStructuralFeature.Internal.DynamicValueHolder
`NIL`

Fields inherited from interface org.eclipse.emf.ecore.InternalEObject
`EOPPOSITE_FEATURE_BASE`

Constructor Summary
`GenModelFactoryImpl()` Creates an instance of the factory

Method Summary
`java.lang.String` `convertGenDelegationKindToString(EDataType eDataType, java.lang.Object instanceValue)`
`java.lang.String` `convertGenJDKLevelToString(EDataType eDataType, java.lang.Object instanceValue)`
`java.lang.String` `convertGenPropertyKindToString(EDataType eDataType, java.lang.Object instanceValue)`
`java.lang.String` `convertGenProviderKindToString(EDataType eDataType, java.lang.Object instanceValue)`
`java.lang.String` `convertGenResourceKindToString(EDataType eDataType, java.lang.Object instanceValue)`
`java.lang.String` `convertGenRuntimeVersionToString(EDataType eDataType, java.lang.Object instanceValue)`
`java.lang.String` `convertToString(EDataType eDataType, java.lang.Object instanceValue)`
`EObject` `create(EClass eClass)`
`java.lang.Object` `createFromString(EDataType eDataType, java.lang.String initialValue)`
`GenAnnotation` `createGenAnnotation()`
`GenClass` `createGenClass()`
`GenDataType` `createGenDataType()`
`GenDelegationKind` `createGenDelegationKindFromString(EDataType eDataType, java.lang.String initialValue)`
`GenEnum` `createGenEnum()`
`GenEnumLiteral` `createGenEnumLiteral()`
`GenFeature` `createGenFeature()`
`GenJDKLevel` `createGenJDKLevelFromString(EDataType eDataType, java.lang.String initialValue)`
`GenModel` `createGenModel()`
`GenOperation` `createGenOperation()`
`GenPackage` `createGenPackage()`
`GenParameter` `createGenParameter()`
`GenPropertyKind` `createGenPropertyKindFromString(EDataType eDataType, java.lang.String initialValue)`
`GenProviderKind` `createGenProviderKindFromString(EDataType eDataType, java.lang.String initialValue)`
`GenResourceKind` `createGenResourceKindFromString(EDataType eDataType, java.lang.String initialValue)`
`GenRuntimeVersion` `createGenRuntimeVersionFromString(EDataType eDataType, java.lang.String initialValue)`
`GenTypeParameter` `createGenTypeParameter()`
`GenModelPackage` `getGenModelPackage()`
`static GenModelPackage` `getPackage()` Deprecated.
`static GenModelFactory` `init()` Creates the default factory implementation

Methods inherited from class org.eclipse.emf.ecore.impl.EFactoryImpl
`basicCreate, basicSetEPackage, collapseWhiteSpace, convertToString, createFromString, eGet, eInverseAdd, eInverseRemove, eInvoke, eIsSet, eSet, eStaticClass, eUnset, getEPackage, replaceWhiteSpace, setEPackage`

Methods inherited from class org.eclipse.emf.ecore.impl.EModelElementImpl
`eObjectForURIFragmentSegment, eSetDirectResource, eURIFragmentSegment, freeze, freeze, getEAnnotation, getEAnnotations, isFrozen, setFrozen`

Methods inherited from class org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container
`eBasicSetContainer, eInternalContainer`

Methods inherited from class org.eclipse.emf.ecore.impl.MinimalEObjectImpl

`dynamicGet, dynamicSet, dynamicUnset, eAdapters, eBasicAdapterArray, eBasicAdapters, eBasicHasAdapters, eBasicProperties, eBasicSetAdapterArray, eBasicSetContainer, eBasicSetContainerFeatureID, eBasicSetSettings, eBasicSettings, eClass, eContainerFeatureID, eContents, eCrossReferences, eDeliver, eDirectResource, eDynamicClass, eHasSettings, eIsProxy, eProperties, eProxyURI, eSetClass, eSetDeliver, eSetProxyURI, eSettings`

Methods inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl

`eAddVirtualValue, eAllContents, eBaseStructuralFeatureID, eBasicRemoveFromContainer, eBasicRemoveFromContainerFeature, eBasicSetContainer, eComputeVirtualValuesCapacity, eContainer, eContainerAdapterArray, eContainingFeature, eContainmentFeature, eContainmentFeature, eContains, eDerivedOperationID, eDerivedOperationID, eDerivedStructuralFeatureID, eDerivedStructuralFeatureID, eDynamicBasicRemoveFromContainer, eDynamicFeature, eDynamicFeatureID, eDynamicGet, eDynamicGet, eDynamicGet, eDynamicInverseAdd, eDynamicInverseAdd, eDynamicInverseRemove, eDynamicInverseRemove, eDynamicInvoke, eDynamicInvoke, eDynamicIsSet, eDynamicIsSet, eDynamicIsSet, eDynamicSet, eDynamicSet, eDynamicSet, eDynamicUnset, eDynamicUnset, eDynamicUnset, eGet, eGet, eGet, eInternalResource, eInverseAdd, eInverseRemove, eInvocationDelegate, eInvoke, eIsSet, eOpenGet, eOpenIsSet, eOpenSet, eOpenUnset, eRemoveVirtualValue, eResolveProxy, eResource, eSet, eSetResource, eSetStore, eSetting, eSettingDelegate, eSetVirtualIndexBits, eSetVirtualValue, eSetVirtualValues, eStaticFeatureCount, eStaticOperationCount, eStore, eUnset, eVirtualBitCount, eVirtualGet, eVirtualGet, eVirtualIndex, eVirtualIndexBits, eVirtualIsSet, eVirtualSet, eVirtualUnset, eVirtualValue, eVirtualValues, toString`

Methods inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl
`eNotificationRequired, eNotify`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.eclipse.emf.ecore.EFactory
`getEPackage, setEPackage`

Methods inherited from interface org.eclipse.emf.ecore.EModelElement
`getEAnnotation, getEAnnotations`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Methods inherited from interface org.eclipse.emf.ecore.InternalEObject
`eNotificationRequired`

Constructor Detail

### GenModelFactoryImpl

    public GenModelFactoryImpl()

  Creates an instance of the factory.

Method Detail

### init

    public static GenModelFactory init()

  Creates the default factory implementation.

### create

    public EObject create(EClass eClass)

  Specified by:
    `create` in interface `EFactory`
  Overrides:
    `create` in class `EFactoryImpl`
  Parameters:
    `eClass` - the class of the new instance.
  Returns:
    a new instance of the class.

### createFromString

    public java.lang.Object createFromString(EDataType eDataType,
                                             java.lang.String initialValue)

  Specified by:
    `createFromString` in interface `EFactory`
  Overrides:
    `createFromString` in class `EFactoryImpl`
    `initialValue` - literal value of the instance.
  Returns:
    an instance of the data type.
  See Also:
    `EFactory.convertToString(EDataType, Object)`

### convertToString

    public java.lang.String convertToString(EDataType eDataType,
                                            java.lang.Object instanceValue)

  Specified by:
    `convertToString` in interface `EFactory`
  Overrides:
    `convertToString` in class `EFactoryImpl`
  Parameters:
    `eDataType` - the data type of the value.
    `instanceValue` - the value.
  Returns:
    the literal value of the instance.
  See Also:
    `EFactory.createFromString(EDataType, String)`

### createGenModel

    public GenModel createGenModel()

  Specified by:
    `createGenModel` in interface `GenModelFactory`
  Returns:
    a new object of class 'Gen Model'.

### createGenPackage

    public GenPackage createGenPackage()

  Specified by:
    `createGenPackage` in interface `GenModelFactory`
  Returns:
    a new object of class 'Gen Package'.

### createGenClass

    public GenClass createGenClass()

  Specified by:
    `createGenClass` in interface `GenModelFactory`
  Returns:
    a new object of class 'Gen Class'.

### createGenFeature

    public GenFeature createGenFeature()

  Specified by:
    `createGenFeature` in interface `GenModelFactory`
  Returns:
    a new object of class 'Gen Feature'.

### createGenEnum

    public GenEnum createGenEnum()

  Specified by:
    `createGenEnum` in interface `GenModelFactory`
  Returns:
    a new object of class 'Gen Enum'.

### createGenEnumLiteral

    public GenEnumLiteral createGenEnumLiteral()

  Specified by:
    `createGenEnumLiteral` in interface `GenModelFactory`
  Returns:
    a new object of class 'Gen Enum Literal'.

### createGenDataType

    public GenDataType createGenDataType()

  Specified by:
    `createGenDataType` in interface `GenModelFactory`
  Returns:
    a new object of class 'Gen Data Type'.

### createGenOperation

    public GenOperation createGenOperation()

  Specified by:
    `createGenOperation` in interface `GenModelFactory`
  Returns:
    a new object of class 'Gen Operation'.

### createGenParameter

    public GenParameter createGenParameter()

  Specified by:
    `createGenParameter` in interface `GenModelFactory`
  Returns:
    a new object of class 'Gen Parameter'.

### createGenAnnotation

    public GenAnnotation createGenAnnotation()

  Specified by:
    `createGenAnnotation` in interface `GenModelFactory`
  Returns:
    a new object of class 'Gen Annotation'.

### createGenTypeParameter

    public GenTypeParameter createGenTypeParameter()

  Specified by:
    `createGenTypeParameter` in interface `GenModelFactory`
  Returns:
    a new object of class 'Gen Type Parameter'.

### createGenProviderKindFromString

    public GenProviderKind createGenProviderKindFromString(EDataType eDataType,
                                                           java.lang.String initialValue)

### convertGenProviderKindToString

    public java.lang.String convertGenProviderKindToString(EDataType eDataType,
                                                           java.lang.Object instanceValue)

### createGenPropertyKindFromString

    public GenPropertyKind createGenPropertyKindFromString(EDataType eDataType,
                                                           java.lang.String initialValue)

### convertGenPropertyKindToString

    public java.lang.String convertGenPropertyKindToString(EDataType eDataType,
                                                           java.lang.Object instanceValue)

### createGenResourceKindFromString

    public GenResourceKind createGenResourceKindFromString(EDataType eDataType,
                                                           java.lang.String initialValue)

### convertGenResourceKindToString

    public java.lang.String convertGenResourceKindToString(EDataType eDataType,
                                                           java.lang.Object instanceValue)

### createGenDelegationKindFromString

    public GenDelegationKind createGenDelegationKindFromString(EDataType eDataType,
                                                               java.lang.String initialValue)

### convertGenDelegationKindToString

    public java.lang.String convertGenDelegationKindToString(EDataType eDataType,
                                                             java.lang.Object instanceValue)

### createGenJDKLevelFromString

    public GenJDKLevel createGenJDKLevelFromString(EDataType eDataType,
                                                   java.lang.String initialValue)

### convertGenJDKLevelToString

    public java.lang.String convertGenJDKLevelToString(EDataType eDataType,
                                                       java.lang.Object instanceValue)

### createGenRuntimeVersionFromString

    public GenRuntimeVersion createGenRuntimeVersionFromString(EDataType eDataType,
                                                               java.lang.String initialValue)

### convertGenRuntimeVersionToString

    public java.lang.String convertGenRuntimeVersionToString(EDataType eDataType,
                                                             java.lang.Object instanceValue)

### getGenModelPackage

    public GenModelPackage getGenModelPackage()

  Specified by:
    `getGenModelPackage` in interface `GenModelFactory`
  Returns:
    the package supported by this factory.

### getPackage

    @Deprecated
    public static GenModelPackage getPackage()

  Deprecated.

Copyright 2001-2006 IBM Corporation and others. All Rights Reserved.